Skip to main content
GET
/
api
/
brands
/
enrich
Enrich brand
curl --request GET \
  --url https://agenticadvertising.org/api/brands/enrich
{
  "domain": "<string>",
  "cached": true,
  "manifest": {
    "name": "<string>",
    "url": "<string>",
    "description": "<string>",
    "logos": [
      {
        "url": "<string>",
        "tags": [
          "<string>"
        ]
      }
    ],
    "colors": {
      "primary": "<string>",
      "secondary": "<string>",
      "accent": "<string>"
    },
    "fonts": [
      {
        "name": "<string>",
        "role": "<string>"
      }
    ],
    "company": {
      "name": "<string>",
      "industry": "<string>",
      "industries": [
        "<string>"
      ],
      "employees": "<string>",
      "founded": 123,
      "location": "<string>"
    }
  },
  "company": {
    "name": "<string>",
    "industry": "<string>",
    "industries": [
      "<string>"
    ],
    "employees": "<string>",
    "founded": 123,
    "location": "<string>"
  },
  "context": {},
  "context_error": "<string>"
}

Query Parameters

domain
string
required
Example:

"acmecorp.com"

Response

Enrichment data from Brandfetch

success
enum<boolean>
required
Available options:
true
domain
string
required
cached
boolean
required
manifest
object
company
object
source_type
enum<string>
Available options:
brand_json,
community,
enriched
context
object
context_source
enum<string>
Available options:
brandfetch
context_scope
enum<string>
Available options:
ephemeral
context_error
string